This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1261634 - [RFE] Calculate the pmtu instead of hardcoding it
[RFE] Calculate the pmtu instead of hardcoding it
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Barrett
Meng Bo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 15:35 EDT by Ricardo Martinelli de Oliveira
Modified: 2017-03-08 13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Martinelli de Oliveira 2015-09-09 15:35:46 EDT
Description of problem:

Currently the mtu is hardcoded to 1450. While this works for most cases, its not valid when the assumed underlay is an overlay itself. Also, if customer need to use jumbo frames it requires a global change.

Reference:

https://github.com/openshift/openshift-sdn/issues/120
Comment 3 Meng Bo 2015-10-19 03:35:13 EDT
Checked on puddle 2015.10.17-1

The MTU is configurable in node-config instead of hardcoding. 


For mtu 1450:
# oc rsh hello-pod
bash-4.3$ ip a 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
14: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1450 qdisc noqueue 
    link/ether 02:42:0a:01:00:04 brd ff:ff:ff:ff:ff:ff
    inet 10.1.0.4/24 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::42:aff:fe01:4/64 scope link 
       valid_lft forever preferred_lft forever


For mtu 1000:
# oc rsh hello-pod
bash-4.3$ ip a 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
21: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1000 qdisc noqueue 
    link/ether 02:42:0a:01:00:02 brd ff:ff:ff:ff:ff:ff
    inet 10.1.0.2/24 scope global eth0
       valid_lft forever preferred_lft forever


Verify the bug.
Comment 4 Brenton Leanhardt 2015-11-23 09:25:18 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.